Get Global Router
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/routers/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/routers/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/routers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"router": {
"createTime": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"entityLabels": {},
"fallback": [
{
"connectorId": "<string>",
"customDetails": {},
"id": "d4b56246-64bb-4714-a8bd-97c999f1d801",
"presetId": "<string>"
}
],
"fallbackTargets": [
{
"target": {
"connectorId": "<string>",
"customDetails": {},
"id": "d4b56246-64bb-4714-a8bd-97c999f1d801",
"presetId": "<string>"
}
}
],
"id": "a16e24c8-4db2-4abf-ba3c-c9e1fc35a3b9",
"name": "My Router",
"routingLabels": {
"environment": "<string>",
"service": "<string>",
"team": "<string>"
},
"rules": [
{
"condition": "alertDef.priority == 'P3'",
"customDetails": {},
"name": "<string>",
"targets": [
{
"connectorId": "<string>",
"customDetails": {},
"id": "d4b56246-64bb-4714-a8bd-97c999f1d801",
"presetId": "<string>"
}
]
}
],
"updateTime": "2023-11-07T05:31:56Z"
}
}Global Routers Service
Get Global Router
Returns the details of the specified notification router.
Get Global Router
Authorizations
API key authentication
Path Parameters
The unique identifier of the global router to retrieve.
Required string length:
1 - 128Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_-]*$Response
200 - application/json
Response containing a requested global router
Defines a set of pre-configured routing rules for directing notifications
Show child attributes
Show child attributes
Was this page helpful?
⌘I